Subject: Offline Message from Victor Melendez: Where can I take my swagtron 5 for main
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Fri, 26 Aug 2022 01:26:34 -0000

From: Victor Melendez <[email-masked]>
Phone: 9178056069
Location: Yonkers, United States
URL: https://swagtron.com/faq/
Department: SwagTron

Where can I take my swagtron 5 for maintenance.  There is nothing mechanical wrong with it.  The problem I have is the the safety ring at the neck of the handlebar broke off, then the screw and nut became loose and came off as I was riding collapsing the handlebar and causing me to fall.  I did get injured.  I could not find the screw or nut.  I to put it back together. 

----
Zopim
https://www.zopim.com